[Unit]
Description=HAM .NET Application
After=network.target

[Service]
Type=simple
NotifyAccess=all
Restart=always
RestartSec=10

# Working directory
WorkingDirectory=/var/www/HAM

# Application settings
ExecStart=/usr/bin/dotnet /var/www/HAM/Berufsschule_HAM.dll
ExecReload=/bin/kill -HUP $MAINPID
#TimeoutStopSec=30
#TimeoutStartSec=60

# Environment variables (uncomment and modify as needed)
Environment=DOTNET_ENVIRONMENT=Production

# Security settings
NoNewPrivileges=true
PrivateTmp=true
ProtectSystem=strict
ProtectHome=true

# Logging
StandardOutput=journal
StandardError=journal
SyslogIdentifier=ham

[Install]
WantedBy=multi-user.target